<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FCFCFC"
    tools:context=".ui.activity.MainActivity">

    <LinearLayout
        android:id="@+id/main"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#FCFCFC"
        android:orientation="vertical"
        tools:layout_editor_absoluteX="-85dp"
        tools:layout_editor_absoluteY="82dp">

        <LinearLayout
            android:id="@+id/main_top"
            android:layout_width="match_parent"
            android:layout_height="195dp"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="#028FE1"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/textView3"
                    android:layout_width="match_parent"
                    android:layout_height="58dp"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="心率带已连接  电量 0%"
                    android:textColor="@color/white" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="105dp">

                            <TextView
                                android:id="@+id/textView5"
                                android:layout_width="match_parent"
                                android:layout_height="82dp"
                                android:layout_weight="1"
                                android:gravity="center"
                                android:text="0"
                                android:textColor="@color/white"
                                android:textSize="50dp" />

                            <TextView
                                android:id="@+id/percentIcon"
                                android:layout_width="40dp"
                                android:layout_height="82dp"
                                android:layout_alignParentTop="true"
                                android:layout_alignParentRight="true"
                                android:text="%"
                                android:layout_marginTop="10dp"
                                android:textColor="@color/white"
                                android:textSize="20dp" />
                        </RelativeLayout>

                        <TextView
                            android:id="@+id/textView8"
                            android:layout_width="90dp"
                            android:layout_height="30dp"
                            android:layout_gravity="center"
                            android:background="@drawable/circle_btn"
                            android:gravity="center"
                            android:text="激活放松"
                            android:textColor="@color/white" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <ImageView
                            android:id="@+id/imageView"
                            android:layout_width="match_parent"
                            android:layout_height="97dp"
                            android:layout_centerHorizontal="true"
                            android:gravity="center"
                            android:src="@drawable/head" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:orientation="horizontal">

                            <RelativeLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent">
                            <TextView
                                android:id="@+id/textView10"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:layout_gravity="center"
                                android:gravity="center_vertical|center"
                                android:text="王仪涵"
                                android:textColor="@color/white" />
                            <ImageView
                                android:id="@+id/sex"
                                android:layout_width="18dp"
                                android:layout_height="18dp"
                                android:gravity="center_vertical|left"
                                android:layout_gravity="center"
                                android:layout_alignParentRight="true"
                                android:layout_marginTop="25dp"
                                android:layout_marginRight="20dp"
                                android:src="@drawable/male" />
                            </RelativeLayout>
                        </LinearLayout>
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:orientation="vertical">

                            <RelativeLayout
                                android:layout_width="match_parent"
                                android:layout_height="105dp">

                                <TextView
                                    android:id="@+id/heartReal"
                                    android:layout_width="match_parent"
                                    android:layout_height="82dp"
                                    android:layout_weight="1"
                                    android:gravity="center"
                                    android:text="0"
                                    android:textColor="@color/white"
                                    android:textSize="50dp" />

                                <ImageView
                                    android:id="@+id/heart"
                                    android:layout_width="20dp"
                                    android:layout_height="20dp"
                                    android:layout_alignParentTop="true"
                                    android:layout_alignParentRight="true"
                                    android:layout_centerHorizontal="true"
                                    android:layout_marginTop="17dp"
                                    android:layout_marginRight="15dp"
                                    android:gravity="center"
                                    android:src="@drawable/heart" />
                            </RelativeLayout>

                            <TextView
                                android:id="@+id/curentHr"
                                android:layout_width="90dp"
                                android:layout_height="30dp"
                                android:layout_gravity="center"
                                android:background="@drawable/circle_btn"
                                android:gravity="center"
                                android:text="瞬时心率"
                                android:textColor="@color/white" />
                        </LinearLayout>
                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="70dp"
            android:gravity="center"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="#fff"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/textView13"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="0"
                            android:textColor="#000"
                            android:textSize="29dp" />

                        <TextView
                            android:id="@+id/textView14"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="身高cm"
                            android:textColor="#C4C4C4" />
                    </LinearLayout>
                </LinearLayout>

                <View
                    android:layout_width="1dip"
                    android:layout_height="40dp"
                    android:layout_gravity="center"
                    android:background="#E2E2E2" />

                <LinearLayout
                    android:id="@+id/main_middle"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="131dp"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/textView15"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="0"
                            android:textColor="#000"
                            android:textSize="29dp" />

                        <TextView
                            android:id="@+id/textView16"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="年龄"
                            android:textColor="#C4C4C4" />
                    </LinearLayout>
                </LinearLayout>

                <View
                    android:layout_width="1dip"
                    android:layout_height="40dp"
                    android:layout_gravity="center"
                    android:background="#E2E2E2" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/textView17"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="0"
                            android:textColor="#000"
                            android:textSize="29dp" />

                        <TextView
                            android:id="@+id/textView18"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="体重kg"
                            android:textColor="#C4C4C4" />
                    </LinearLayout>
                </LinearLayout>

                <View
                    android:layout_width="1dip"
                    android:layout_height="40dp"
                    android:layout_gravity="center"
                    android:background="#E2E2E2" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/textView19"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="0"
                            android:textColor="#000"
                            android:textSize="29dp" />

                        <TextView
                            android:id="@+id/textView20"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="静息心率"
                            android:textColor="#C4C4C4" />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/contectPart"
            android:layout_width="wrap_content"
            android:layout_height="49dp"
            android:layout_gravity="center"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/chain"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_centerHorizontal="true"
                android:layout_gravity="center"
                android:gravity="center"
                android:src="@drawable/chain" />

            <TextView
                android:id="@+id/unchain"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_marginLeft="15dp"
                android:gravity="center"
                android:text="心率带未连接"
                android:textColor="#FF4040"
                android:textSize="14dp" />

            <Button
                android:id="@+id/chainBtn"
                android:layout_width="90dp"
                android:layout_height="24dp"
                android:layout_gravity="center"
                android:layout_marginLeft="15dp"
                android:layout_weight="1"
                android:background="@drawable/btn_contect"
                android:baselineAligned="false"
                android:text="点击连接" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/main_bottom"
            android:layout_width="match_parent"
            android:layout_height="98dp"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="5dp"
            android:background="#fff"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="86dp"
                android:layout_weight="10"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="70dp"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/fire"
                        android:layout_width="match_parent"
                        android:layout_height="82dp"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:src="@drawable/icon_sport" />

                    <TextView
                        android:id="@+id/calNum"
                        android:layout_width="match_parent"
                        android:layout_height="82dp"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center_vertical|left"
                        android:text="0"
                        android:textColor="#333"
                        android:textSize="20dp" />

                    <View
                        android:layout_width="1dip"
                        android:layout_height="40dp"
                        android:layout_gravity="center"
                        android:background="#E2E2E2" />
                </LinearLayout>

                <TextView
                    android:id="@+id/caltext"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="卡路里"
                    android:textColor="#9A9A9A"
                    android:textSize="10dp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="90dp"
                android:layout_weight="10"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="70dp"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/redfire"
                        android:layout_width="match_parent"
                        android:layout_height="82dp"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:src="@drawable/icon_redsport" />

                    <TextView
                        android:id="@+id/sportNum"
                        android:layout_width="match_parent"
                        android:layout_height="82dp"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center_vertical|left"
                        android:text="0"
                        android:textColor="#333"
                        android:textSize="20dp" />

                    <View
                        android:layout_width="1dip"
                        android:layout_height="40dp"
                        android:layout_gravity="center"
                        android:background="#E2E2E2" />
                </LinearLayout>

                <TextView
                    android:id="@+id/sportText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="运动卡路里"
                    android:textColor="#9A9A9A"
                    android:textSize="10dp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="89dp"
                android:layout_weight="10"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="10"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/ckIcon"
                        android:layout_width="110dp"
                        android:layout_height="22dp"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:src="@drawable/ck" />

                    <TextView
                        android:id="@+id/ckNum"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center_vertical|left"
                        android:text="0"
                        android:textColor="#333"
                        android:textSize="20dp" />
                </LinearLayout>

                <TextView
                    android:id="@+id/textView11"
                    android:layout_width="match_parent"
                    android:layout_height="20dp"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="CK"
                    android:textColor="#9A9A9A"
                    android:textSize="10dp" />
            </LinearLayout>
        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:layout_weight="1"
            android:background="#fff"
            android:layout_gravity="center"
            android:gravity="center"
            android:orientation="horizontal">

            <Button
                android:id="@+id/button"
                android:layout_width="60dp"
                android:layout_height="30dp"
                android:background="@drawable/gary_btn"
                android:gravity="center"
                android:layout_marginLeft="20dp"
                android:text="停止运动" />

            <Button
                android:id="@+id/linkBtn"
                android:layout_width="210dp"
                android:layout_height="30dp"
                    android:background="@drawable/round_btn"
                android:gravity="center"
                android:text="运动时间 00:00:00"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp"
                android:textColor="#333" />
            <Button
                android:id="@+id/button3"
                android:layout_width="60dp"
                android:layout_height="30dp"
                android:background="@drawable/gary_btn"
                android:gravity="center"
                android:text="心率上报"
                android:layout_marginRight="20dp"
                android:textColor="#fff" />
        </LinearLayout>

        <TextView
            android:id="@+id/textView12"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="#fff"
            android:gravity="center"
            android:text="5分钟心率趋势图"
            android:textColor="#000"
            android:textSize="20dp" />

        <TextView
            android:id="@+id/textView21"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="#fff"
            android:gravity="center"
            android:text="最大心率 : 0      平均心率 : 0"
            android:textColor="#9A9A9A"
            android:textSize="15dp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="horizontal">

            <com.github.mikephil.charting.charts.LineChart
                android:id="@+id/lineChart"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="#ffffff"
                android:layout_weight="1"
                android:layout_margin="16dp"
                tools:ignore="MissingClass" />
        </LinearLayout>
    </LinearLayout>
    <com.google.android.material.bottomnavigation.BottomNavigationView
        android:id="@+id/bottomNavigation"
        android:layout_width="0dp"
        android:layout_height="50dp"
        android:paddingTop="0dp"
        android:background="#ccc"
        app:itemIconSize="20dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:menu="@menu/bottom_nav_menu"
        app:labelVisibilityMode="labeled" />
</androidx.constraintlayout.widget.ConstraintLayout>